> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Result

> Query current task generation result by jobId



## OpenAPI

````yaml openapi/en/grokimage.json post /grok/image/fetch
openapi: 3.1.0
info:
  title: Grok Image DOCS
  version: 1.0.0
  description: >-
    The Grok Image API provides efficient image analysis and generation
    capabilities to help developers quickly integrate intelligent image
    functions.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/image/fetch:
    post:
      description: Query current task generation result by jobId
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: JobId of the generated image
      responses:
        '200':
          description: Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: 'Task status: Pending queue / In queue / Success / Failed'
                  message:
                    type: string
                    description: Response message
                  jobId:
                    type: string
                    description: Task ID
                  data:
                    type: object
                    description: Task result
                    properties:
                      finishTime:
                        type: string
                        description: 'Completion time, format: YYYY-MM-DD HH:mm:ss'
                      prompt:
                        type: string
                        description: Prompt word for video generation
                      quota:
                        type: string
                        description: Consumed quota
                      hookUrl:
                        type:
                          - string
                          - 'null'
                        description: Callback URL, null if not set
                      aspectRatio:
                        type: string
                        description: Video aspect ratio, e.g. 1:1
                      images:
                        type: array
                        description: >-
                          Reference image URL addresses. Validity: see [Storage
                          and Persistence](/grids/en/faq/storage)
                example:
                  status: SUCCESS
                  message: success
                  jobId: 9e73af91-6fe4-4833-9005-b63cb741619d
                  data:
                    prompt: A cute little cat
                    'n': 1
                    aspectRatio: '1:1'
                    images:
                      - >-
                        https://cdn.ttapi.io/grok/2026-03-23/27790f48a54240ad8a1b5ca28a7c94a3.jpg
                    quota: '0'
                    finishTime: '2026-03-23 07:23:50'
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Please go to <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI
        Console</a> to obtain the API key.

````